summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ferenc Deak2010-12-22 22:35:59 +0100
committer Niels Horn2010-12-22 22:35:59 +0100
commit5d20d6632040e3c74ff336361057b1d43bdb417d (patch)
tree95725a770173a4e432aa99f53d1933553276ac5c
parenta5f8093b34d2a1a2edd60584cc77f2588758ea8a (diff)
downloadslackbuilds-5d20d6632040e3c74ff336361057b1d43bdb417d.tar.gz
network/ike: Added (Internet Key exchange daemon / IPsec VPN client)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--network/ike/README12
-rw-r--r--network/ike/doinst.sh27
-rw-r--r--network/ike/ike.SlackBuild115
-rw-r--r--network/ike/ike.info10
-rw-r--r--network/ike/ikea.desktop8
-rw-r--r--network/ike/rc.iked45
-rw-r--r--network/ike/slack-desc19
7 files changed, 236 insertions, 0 deletions
diff --git a/network/ike/README b/network/ike/README
new file mode 100644
index 0000000000..f6a76944f8
--- /dev/null
+++ b/network/ike/README
@@ -0,0 +1,12 @@
+ike is a free IPsec Client for FreeBSD, NetBSD and Linux based operating
+systems.
+
+It provides compatibility for VPN appliances produced by vendors such as
+Cisco, Juniper, Checkpoint, Fortinet, Netgear, Linksys, Zywall and many
+others.
+
+The provided rc.iked script loads the 'tun' module, needed to make
+connections.
+
+This requires qt3 (from extra/kde3-compat)
+
diff --git a/network/ike/doinst.sh b/network/ike/doinst.sh
new file mode 100644
index 0000000000..aa8fffe5cd
--- /dev/null
+++ b/network/ike/doinst.sh
@@ -0,0 +1,27 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.iked.new
+config etc/iked.conf.new
+
diff --git a/network/ike/ike.SlackBuild b/network/ike/ike.SlackBuild
new file mode 100644
index 0000000000..eb2b5ad80c
--- /dev/null
+++ b/network/ike/ike.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for ike
+#
+# Copyright 2010 Ferenc Deak <ferenc.deak@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=ike
+VERSION=${VERSION:-2.1.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION-release.tbz2
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Note, that it does not support a different build directory
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMANDIR=/usr/man \
+ -DETCDIR=/etc \
+ -DLIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ -DQTGUI=YES \
+ -DNATT=YES \
+ -DCMAKE_BUILD_TYPE=Release .
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE.TXT README.TXT \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.iked > $PKG/etc/rc.d/rc.iked.new
+
+mv $PKG/etc/iked.conf.sample $PKG/etc/iked.conf.new
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/ikea.desktop > $PKG/usr/share/applications/ikea.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cat source/ikea/png/ikea.png > $PKG/usr/share/pixmaps/ikea.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/ike/ike.info b/network/ike/ike.info
new file mode 100644
index 0000000000..f92ca255a9
--- /dev/null
+++ b/network/ike/ike.info
@@ -0,0 +1,10 @@
+PRGNAM="ike"
+VERSION="2.1.7"
+HOMEPAGE="http://shrew.net"
+DOWNLOAD="http://shrew.net/download/ike/ike-2.1.7-release.tbz2"
+MD5SUM="bc86e101809fc750013e18480c8c1040"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ferenc Deak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="Niels Horn"
diff --git a/network/ike/ikea.desktop b/network/ike/ikea.desktop
new file mode 100644
index 0000000000..2a8b9ef988
--- /dev/null
+++ b/network/ike/ikea.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Shrew Soft VPN Access Manager Application
+Comment=Application to manage remote site configurations
+Exec=/usr/bin/ikea
+Icon=ikea
+Terminal=false
+Type=Application
+Categories=Network
diff --git a/network/ike/rc.iked b/network/ike/rc.iked
new file mode 100644
index 0000000000..c80894fee6
--- /dev/null
+++ b/network/ike/rc.iked
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# /etc/rc.d/rc.iked
+#
+# Start/stop/restart the Shrew Soft IKE daemon.
+#
+
+# Start iked:
+iked_start() {
+ if [ -x /usr/sbin/iked ]; then
+ echo "Starting the Shrew Soft IKE daemon: /usr/sbin/iked"
+
+ if [ -z "$(/sbin/lsmod | grep "^tun ")" ]; then
+ /sbin/modprobe tun
+ fi
+
+ /usr/sbin/iked
+ fi
+}
+
+# Stop iked:
+iked_stop() {
+ killall iked
+}
+
+# Restart iked:
+iked_restart() {
+ iked_stop
+ sleep 1
+ iked_start
+}
+
+case "$1" in
+'start')
+ iked_start
+ ;;
+'stop')
+ iked_stop
+ ;;
+'restart')
+ iked_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
diff --git a/network/ike/slack-desc b/network/ike/slack-desc
new file mode 100644
index 0000000000..77bbbbe6d3
--- /dev/null
+++ b/network/ike/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ike: ike (Internet Key exchange daemon and IPsec VPN client)
+ike:
+ike: It provides secure communications between hosts and VPN gateways.
+ike:
+ike: It offers many of the advanced features only found in expensive
+ike: commercial software solutions and provides compatibility for VPN
+ike: appliances produced by vendors such as Cisco, Juniper, Checkpoint,
+ike: Fortinet, Netgear, Linksys, Zywall and many others
+ike:
+ike: Written by Shrew Soft Inc under an open source licence
+ike: